"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.regexp.exec.js");

require("core-js/modules/es.string.split.js");

var _jwtDecode = _interopRequireDefault(require("jwt-decode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const headers = {};

const giveHeaders = () => {
  const access_token = sessionStorage.getItem("access_token");

  if (!access_token) {
    return null;
  }

  const {
    iss
  } = (0, _jwtDecode.default)(access_token);
  headers["Authorization"] = "Bearer ".concat(access_token);
  headers["organizationname"] = iss.split("/").pop();
  return headers;
};

var _default = giveHeaders;
exports.default = _default;