"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendMessage = exports.getUnrepliedCount = exports.getQueryMessages = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const sendMessage = (url, values, headers) => {
  return _axios.default.post("".concat(url, "/message/send"), values, {
    headers
  });
};

exports.sendMessage = sendMessage;

const getUnrepliedCount = (url, headers) => {
  return _axios.default.get("".concat(url, "/conversation/unreplied-counts"), {
    headers
  });
};

exports.getUnrepliedCount = getUnrepliedCount;

const getQueryMessages = (url, body, headers) => {
  return _axios.default.post("".concat(url, "/conversation/adjacent-messages"), body, {
    headers
  });
};

exports.getQueryMessages = getQueryMessages;