"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _icons = require("@ant-design/icons");

var _antd = require("antd");

var _react = _interopRequireDefault(require("react"));

var _DatesubmenuModule = _interopRequireDefault(require("./Datesubmenu.module.scss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  Option
} = _antd.Select;

const Datesubmenu = _ref => {
  let {
    resetDatemenu,
    handleDaterange
  } = _ref;

  function handleDatechange(value) {
    handleDaterange(value);
  }

  return /*#__PURE__*/_react.default.createElement(_antd.Menu, {
    className: _DatesubmenuModule.default.Datesubmenu
  }, /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "1"
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    onClick: resetDatemenu,
    className: _DatesubmenuModule.default.Datesubmenu__backBtn
  }, /*#__PURE__*/_react.default.createElement(_icons.ArrowLeftOutlined, null)), "Date"), /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "2",
    className: _DatesubmenuModule.default.Datesubmenu__list
  }, /*#__PURE__*/_react.default.createElement(_antd.Form, {
    layout: "vertical"
  }, /*#__PURE__*/_react.default.createElement(_antd.Form.Item, {
    label: "Date",
    colon: false
  }, /*#__PURE__*/_react.default.createElement(_antd.Select, {
    placeholder: "Select a Range",
    onChange: handleDatechange
  }, /*#__PURE__*/_react.default.createElement(Option, {
    value: "Today"
  }, "Today"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "Yesterday"
  }, "Yesterday"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "This week"
  }, "This week"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "Last week"
  }, "Last week"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "This month"
  }, "This month"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "Last month"
  }, "Last month"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "This year"
  }, "This year"), /*#__PURE__*/_react.default.createElement(Option, {
    value: "Last year"
  }, "Last year"))))));
};

Datesubmenu.propTypes = {};
Datesubmenu.defaultProps = {};
var _default = Datesubmenu;
exports.default = _default;