"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _icons = require("@ant-design/icons");

var _antd = require("antd");

var _react = _interopRequireDefault(require("react"));

var _dot = _interopRequireDefault(require("../../assets/Table/dot.svg"));

var _Datesubmenu = _interopRequireDefault(require("../Datesubmenu/Datesubmenu"));

var _Fromsubmenu = _interopRequireDefault(require("../Fromsubmenu/Fromsubmenu"));

var _FilterdropdownModule = _interopRequireDefault(require("./Filterdropdown.module.scss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var finalChekedValues = [];
const checkboxOptions = ['My@ Mentions', 'Has File Attached', 'Has a link'];

const Filterdropdown = _ref => {
  let {
    frommenu,
    setFrommenu,
    datemenu,
    setDatemenu,
    handleCheckbox,
    handleFromname,
    handleDaterange,
    setFiltertoggle,
    setDisplayappliedfilter,
    checkedbox,
    setCheckedbox,
    fromname,
    daterange
  } = _ref;

  function onChange(checkedValues) {
    finalChekedValues = checkedValues;
    setCheckedbox(checkedValues);
  }
  /*****************************************************for apply btn**********************************************************************/


  function applyFilter() {
    setFiltertoggle(false);
    handleCheckbox(finalChekedValues);
    setDisplayappliedfilter(true);
  }
  /*************************************************For cancel button*****************************************************************/


  function onCancel() {
    handleFromname([]);
    handleCheckbox([]);
    handleDaterange('');
    setDisplayappliedfilter(false);
    setCheckedbox([]);
    setFiltertoggle(false);
  }

  return /*#__PURE__*/_react.default.createElement("div", {
    className: _FilterdropdownModule.default.Filterdropdown
  }, frommenu || datemenu ? frommenu ? /*#__PURE__*/_react.default.createElement(_Fromsubmenu.default, {
    resetFrommenu: () => setFrommenu(false),
    handleFromname: handleFromname
  }) : /*#__PURE__*/_react.default.createElement(_Datesubmenu.default, {
    resetDatemenu: () => setDatemenu(false),
    handleDaterange: handleDaterange
  }) : /*#__PURE__*/_react.default.createElement(_antd.Menu, {
    className: _FilterdropdownModule.default.Filterdropdown__menu
  }, /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "1",
    className: (fromname === null || fromname === void 0 ? void 0 : fromname.length) != 0 ? _FilterdropdownModule.default.Filterdropdown__menu__selected : '',
    icon: /*#__PURE__*/_react.default.createElement(_icons.UserOutlined, null),
    onClick: () => setFrommenu(true)
  }, /*#__PURE__*/_react.default.createElement("span", null, "From ", (fromname === null || fromname === void 0 ? void 0 : fromname.length) != 0 ? /*#__PURE__*/_react.default.createElement("img", {
    src: _dot.default,
    alt: "dot"
  }) : ''), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__arrowBtn,
    ghost: true
  }, /*#__PURE__*/_react.default.createElement(_icons.RightOutlined, null))), /*#__PURE__*/_react.default.createElement(_antd.Divider, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__separator
  }), /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "2",
    className: daterange ? _FilterdropdownModule.default.Filterdropdown__menu__selected : ' ',
    icon: /*#__PURE__*/_react.default.createElement(_icons.CalendarOutlined, null),
    onClick: () => setDatemenu(true)
  }, /*#__PURE__*/_react.default.createElement("span", null, "Date Range ", daterange ? /*#__PURE__*/_react.default.createElement("img", {
    src: _dot.default,
    alt: "dot"
  }) : ''), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__arrowBtn,
    ghost: true
  }, /*#__PURE__*/_react.default.createElement(_icons.RightOutlined, null))), /*#__PURE__*/_react.default.createElement(_antd.Divider, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__separator
  }), /*#__PURE__*/_react.default.createElement(_antd.Checkbox.Group, {
    options: checkboxOptions,
    value: checkedbox,
    onChange: onChange,
    className: _FilterdropdownModule.default.Filterdropdown__menu__checkboxContainer
  }), /*#__PURE__*/_react.default.createElement(_antd.Divider, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__separator
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _FilterdropdownModule.default.Filterdropdown__menu__btnSection
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__btnSection__cancel,
    onClick: onCancel
  }, "Cancel"), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _FilterdropdownModule.default.Filterdropdown__menu__btnSection__apply,
    onClick: applyFilter
  }, "Apply"))));
};

Filterdropdown.propTypes = {};
Filterdropdown.defaultProps = {};
var _default = Filterdropdown;
exports.default = _default;