"use strict";

require("core-js/modules/web.dom-collections.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _antd = require("antd");

var _react = _interopRequireWildcard(require("react"));

var _ParticipantsModule = _interopRequireDefault(require("./Participants.module.scss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const colors = ["red", "blue", "green"];

const Participants = _ref => {
  let {
    username,
    loggedUser,
    data
  } = _ref;

  const checkIsParticipant = () => {
    let findUser = data === null || data === void 0 ? void 0 : data.find(user => user.username === loggedUser);

    if (findUser) {
      return true;
    }

    return false;
  };

  (0, _react.useEffect)(() => {
    if (username) {
      if (checkIsParticipant()) {// return
      } else {// api logic insert
      }
    }
  }, [username]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _ParticipantsModule.default.Participants
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_antd.Avatar.Group, {
    maxCount: 3,
    key: username,
    size: "medium",
    maxStyle: {
      color: '#f56a00',
      backgroundColor: '#fde3cf'
    }
  }, data === null || data === void 0 ? void 0 : data.map(user => {
    var _user$username;

    return /*#__PURE__*/_react.default.createElement(_antd.Tooltip, {
      title: user.username,
      placement: "top",
      key: user.username
    }, /*#__PURE__*/_react.default.createElement(_antd.Avatar, {
      style: {
        backgroundColor: colors[Math.floor(Math.random() * 3)]
      }
    }, user === null || user === void 0 ? void 0 : (_user$username = user.username) === null || _user$username === void 0 ? void 0 : _user$username.charAt(0)));
  }))), "  ");
};

Participants.propTypes = {};
Participants.defaultProps = {};
var _default = Participants;
exports.default = _default;