"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _testing = require("@apollo/client/testing");

var _SearchList = _interopRequireDefault(require("./SearchList"));

var _SearchList2 = _interopRequireDefault(require("./SearchList.lazy"));

require("../../jest.setup");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const mockedUsedNavigate = jest.fn();
jest.mock('react-router-dom', () => _objectSpread(_objectSpread({}, jest.requireActual('react-router-dom')), {}, {
  useNavigate: () => mockedUsedNavigate
}));
const mocks = [];
describe('rendring of components', () => {
  it('It should mount', () => {
    const div = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_testing.MockedProvider, {
      mocks: mocks
    }, /*#__PURE__*/_react.default.createElement(_SearchList.default, null)), div);

    _reactDom.default.unmountComponentAtNode(div);
  });
  it('renders It lazy component', () => {
    const div = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_testing.MockedProvider, {
      mocks: mocks
    }, /*#__PURE__*/_react.default.createElement(_SearchList2.default, null)), div);

    _reactDom.default.unmountComponentAtNode(div);
  });
});