"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.object.assign.js");

var _antd = require("antd");

require("antd/dist/antd.css");

var _react = require("react");

var _reactRouterDom = require("react-router-dom");

require("./App.scss");

var _ChatShell = _interopRequireDefault(require("./components/ChatShell/ChatShell"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function App(props) {
  return /*#__PURE__*/React.createElement("div", {
    className: "App"
  }, /*#__PURE__*/React.createElement(_reactRouterDom.BrowserRouter, null, /*#__PURE__*/React.createElement(_react.Suspense, {
    fallback: /*#__PURE__*/React.createElement(_antd.Spin, null)
  }, /*#__PURE__*/React.createElement(_reactRouterDom.Routes, null, /*#__PURE__*/React.createElement(_reactRouterDom.Route, {
    path: "/",
    element: /*#__PURE__*/React.createElement(_reactRouterDom.Navigate, {
      replace: true,
      to: "/chat"
    })
  }), /*#__PURE__*/React.createElement(_reactRouterDom.Route, {
    path: "/chat",
    element: /*#__PURE__*/React.createElement(_ChatShell.default, _extends({
      connectionUri: "https://alpha.dgraph.smarter.codes/graphql",
      subscriptionUri: "wss://alpha.dgraph.smarter.codes/graphql",
      chatApiUrl: "https://messages.dgraph.smarter.codes"
    }, props))
  }), /*#__PURE__*/React.createElement(_reactRouterDom.Route, {
    path: "/chat/:username",
    element: /*#__PURE__*/React.createElement(_ChatShell.default, _extends({
      connectionUri: "https://alpha.dgraph.smarter.codes/graphql",
      subscriptionUri: "wss://alpha.dgraph.smarter.codes/graphql",
      chatApiUrl: "https://messages.dgraph.smarter.codes"
    }, props))
  })))));
}

var _default = App;
exports.default = _default;