"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CREATE_USER_MUTATION = void 0;

var _client = require("@apollo/client");

var _templateObject;

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

const CREATE_USER_MUTATION = (0, _client.gql)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  mutation createUser(\n    $firstName: String!\n    $lastName: String!\n    $email: String!\n    $password: String\n  ) {\n    createUser(\n      firstName: $firstName\n      lastName: $lastName\n      email: $email\n      password: $password\n    ) {\n      id\n    }\n  }\n"])));
exports.CREATE_USER_MUTATION = CREATE_USER_MUTATION;