"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ContactsearchModule = _interopRequireDefault(require("./Contactsearch.module.scss"));

var _reactHighlightWords = _interopRequireDefault(require("react-highlight-words"));

var _hcInboxProfile = require("hc-inbox-profile");

var _ConversationShell = require("../ConversationShell/ConversationShell");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Contactsearch = _ref => {
  var _user$thread, _user$thread$sender;

  let {
    user,
    query,
    active,
    contact
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(active ? _ContactsearchModule.default.Contactsearch__active : _ContactsearchModule.default.Contactsearch)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ContactsearchModule.default.Contactsearch__imgContainer
  }, /*#__PURE__*/_react.default.createElement(_hcInboxProfile.ProfilePicPlaceholder, {
    name: (user === null || user === void 0 ? void 0 : user.username) || "",
    id: user === null || user === void 0 ? void 0 : (_user$thread = user.thread) === null || _user$thread === void 0 ? void 0 : (_user$thread$sender = _user$thread.sender) === null || _user$thread$sender === void 0 ? void 0 : _user$thread$sender.id,
    height: _ConversationShell.profilePicPlaceholderStyle.height,
    width: _ConversationShell.profilePicPlaceholderStyle.width,
    fontSize: _ConversationShell.profilePicPlaceholderStyle.fontSize
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _ContactsearchModule.default.Contactsearch__imgContainer__statusCircle
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _ContactsearchModule.default.Contactsearch__body
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ContactsearchModule.default.Contactsearch__body__name
  }, (user === null || user === void 0 ? void 0 : user.username) !== null ? user === null || user === void 0 ? void 0 : user.username : "Profile Name", /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactHighlightWords.default, {
    highlightClassName: _ContactsearchModule.default.Contactsearch__highlightedSearchedQuery,
    searchWords: [query === null || query === void 0 ? void 0 : query.parameter],
    textToHighlight: user === null || user === void 0 ? void 0 : user.name
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: _ContactsearchModule.default.Contactsearch__body__contact
  }, /*#__PURE__*/_react.default.createElement("div", null, contact))));
};

Contactsearch.propTypes = {
  contact: _propTypes.default.string
};
Contactsearch.defaultProps = {
  contact: "+91-5070196590"
};
var _default = Contactsearch;
exports.default = _default;