"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.regexp.exec.js");

require("core-js/modules/es.string.split.js");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _FilesearchModule = _interopRequireDefault(require("./Filesearch.module.scss"));

var _icons = require("@ant-design/icons");

var _reactHighlightWords = _interopRequireDefault(require("react-highlight-words"));

var _moment = _interopRequireDefault(require("moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Filesearch = _ref => {
  let {
    user,
    query,
    active,
    fileName
  } = _ref;
  const iconObject = {
    pdf: /*#__PURE__*/_react.default.createElement(_icons.FilePdfOutlined, {
      className: _FilesearchModule.default.Filesearch__logoContainer__logo
    }),
    mp4: /*#__PURE__*/_react.default.createElement(_icons.PlaySquareOutlined, {
      className: _FilesearchModule.default.Filesearch__logoContainer__logo
    }),
    jpg: /*#__PURE__*/_react.default.createElement(_icons.PictureOutlined, {
      className: _FilesearchModule.default.Filesearch__logoContainer__logo
    }),
    png: /*#__PURE__*/_react.default.createElement(_icons.PictureOutlined, {
      className: _FilesearchModule.default.Filesearch__logoContainer__logo
    }),
    jpeg: /*#__PURE__*/_react.default.createElement(_icons.PictureOutlined, {
      className: _FilesearchModule.default.Filesearch__logoContainer__logo
    })
  };
  const ext = fileName.split(".").pop();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(!active ? _FilesearchModule.default.Filesearch : _FilesearchModule.default.Filesearch__active)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _FilesearchModule.default.Filesearch__logoContainer
  }, iconObject[ext]), /*#__PURE__*/_react.default.createElement("div", {
    className: _FilesearchModule.default.Filesearch__body
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _FilesearchModule.default.Filesearch__body__name
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _FilesearchModule.default.Filesearch__body__name__docType
  }, fileName), /*#__PURE__*/_react.default.createElement("div", {
    className: _FilesearchModule.default.Filesearch__body__name__date
  }, (0, _moment.default)(Number(user === null || user === void 0 ? void 0 : user.timestamp)).format("L")), /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactHighlightWords.default, {
    highlightClassName: _FilesearchModule.default.Filesearch__highlightedSearchedQuery,
    searchWords: [query === null || query === void 0 ? void 0 : query.parameter],
    textToHighlight: user === null || user === void 0 ? void 0 : user.name
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: _FilesearchModule.default.Filesearch__body__file
  }, /*#__PURE__*/_react.default.createElement("small", null, "In Chat with ", user === null || user === void 0 ? void 0 : user.username))));
};

Filesearch.propTypes = {
  fileName: _propTypes.default.string
};
Filesearch.defaultProps = {
  fileName: "Accounts holders.mp4"
};
var _default = Filesearch;
exports.default = _default;