"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SortdropdownModule = _interopRequireDefault(require("./Sortdropdown.module.scss"));

var _antd = require("antd");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Sortdropdown = _ref => {
  let {
    sortoption,
    setSortoption,
    setDisplayappliedsorting
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_antd.Menu, {
    className: _SortdropdownModule.default.Sortdropdown
  }, /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "1",
    className: _SortdropdownModule.default.Sortdropdown__sortOrder
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _SortdropdownModule.default.Sortdropdown__sortOrder__btn,
    onClick: () => {
      setDisplayappliedsorting(true);
      return setSortoption(_objectSpread(_objectSpread({}, sortoption), {}, {
        alphabeticalSort: 'A to Z'
      }));
    }
  }, "A to Z")), /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "2",
    className: _SortdropdownModule.default.Sortdropdown__sortOrder
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _SortdropdownModule.default.Sortdropdown__sortOrder__btn,
    onClick: () => {
      setDisplayappliedsorting(true);
      return setSortoption(_objectSpread(_objectSpread({}, sortoption), {}, {
        alphabeticalSort: 'Z to A'
      }));
    }
  }, "Z to A", ' ')), /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "3",
    className: _SortdropdownModule.default.Sortdropdown__sortOrder
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _SortdropdownModule.default.Sortdropdown__sortOrder__btn,
    onClick: () => {
      setDisplayappliedsorting(true);
      return setSortoption(_objectSpread(_objectSpread({}, sortoption), {}, {
        timeSort: 'Newest Message First'
      }));
    }
  }, "Newest Message First")), /*#__PURE__*/_react.default.createElement(_antd.Menu.Item, {
    key: "4",
    className: _SortdropdownModule.default.Sortdropdown__sortOrder
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _SortdropdownModule.default.Sortdropdown__sortOrder__btn,
    onClick: () => {
      setDisplayappliedsorting(true);
      return setSortoption(_objectSpread(_objectSpread({}, sortoption), {}, {
        timeSort: 'Last Message First'
      }));
    }
  }, "Last Message First")));
};

Sortdropdown.propTypes = {};
Sortdropdown.defaultProps = {};
var _default = Sortdropdown;
exports.default = _default;