"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _icons = require("@ant-design/icons");

var _antd = require("antd");

var _hcInboxProfile = require("hc-inbox-profile");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactOutsideClickHandler = _interopRequireDefault(require("react-outside-click-handler"));

var _UserdetailsdropdownModule = _interopRequireDefault(require("./Userdetailsdropdown.module.scss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const profilePicStyle = {
  height: '72px',
  width: '72px',
  fontSize: '1em'
};
const {
  Title
} = _antd.Typography;

const Userdetailsdropdown = _ref => {
  var _user$thread, _user$thread$sender;

  let {
    user,
    active,
    contact,
    email,
    close,
    messagetime
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown
  }, /*#__PURE__*/_react.default.createElement(_reactOutsideClickHandler.default, {
    onOutsideClick: close
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(!active ? _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper : _UserdetailsdropdownModule.default.Userdetailsdropdown__active)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__imgcontainer
  }, /*#__PURE__*/_react.default.createElement(_hcInboxProfile.ProfilePicPlaceholder, {
    name: (user === null || user === void 0 ? void 0 : user.username) || '',
    id: user === null || user === void 0 ? void 0 : (_user$thread = user.thread) === null || _user$thread === void 0 ? void 0 : (_user$thread$sender = _user$thread.sender) === null || _user$thread$sender === void 0 ? void 0 : _user$thread$sender.id,
    height: profilePicStyle.height,
    width: profilePicStyle.width,
    fontSize: profilePicStyle.fontSize
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__imgcontainer__status_circle
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__body
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__body__name
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__body__name__userInfo
  }, contact), /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__body__name__text
  }, "Whatsapp Status Port"), /*#__PURE__*/_react.default.createElement("small", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__wrapper__body__name__text
  }, "Last seen ", messagetime, " ago")))), /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader
  }, /*#__PURE__*/_react.default.createElement(_antd.Divider, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__divider
  }), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__btn
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_icons.UserAddOutlined, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__btn__userAdd
  }), /*#__PURE__*/_react.default.createElement("span", null, "Add as New Contact")), /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_icons.RightOutlined, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__btn__rightArrow
  }))), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__btn
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_icons.UsergroupAddOutlined, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__btn__userAdd
  }), /*#__PURE__*/_react.default.createElement("span", null, "Add to Existing Contact")), /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_icons.RightOutlined, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__cascader__btn__rightArrow
  })))), /*#__PURE__*/_react.default.createElement("div", {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer
  }, /*#__PURE__*/_react.default.createElement(_antd.Divider, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer__divider
  }), /*#__PURE__*/_react.default.createElement(Title, {
    level: 5,
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer__title
  }, "Contact"), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer__btn
  }, /*#__PURE__*/_react.default.createElement(_icons.MailOutlined, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer__btn__icon
  }), /*#__PURE__*/_react.default.createElement("a", {
    href: "mailto:{email}"
  }, email)), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer__btn
  }, /*#__PURE__*/_react.default.createElement(_icons.PhoneOutlined, {
    className: _UserdetailsdropdownModule.default.Userdetailsdropdown__footer__btn__icon
  }), /*#__PURE__*/_react.default.createElement("a", {
    href: "tel:{contact}"
  }, contact)))));
};

Userdetailsdropdown.propTypes = {
  contact: _propTypes.default.string,
  email: _propTypes.default.string,
  messagetime: _propTypes.default.string
};
Userdetailsdropdown.defaultProps = {
  contact: '+91-5070189189',
  email: 'Kumail.nanjalani@gmail.com',
  messagetime: '20 min'
};
var _default = Userdetailsdropdown;
exports.default = _default;