"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Types = require("./types/Types");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = (state, action) => {
  switch (action.type) {
    case _Types.SET_UNREPLIEDCOUNT:
      return _objectSpread(_objectSpread({}, state), {}, {
        unrepliedCount: action.payload
      });

    case _Types.MODIFY_UNREPLIEDCOUNT:
      return _objectSpread(_objectSpread({}, state), {}, {
        unrepliedCount: _objectSpread(_objectSpread({}, state.unrepliedCount), {}, {
          [action.payload.threadId]: action.payload.type === "sent" ? 0 : state.unrepliedCount[action.payload.threadId] + 1
        })
      });

    case _Types.SET_NEWMESSAGES:
      return _objectSpread(_objectSpread({}, state), {}, {
        newMessages: action.payload
      });

    default:
      return state;
  }
};

exports.default = _default;